PlantUML version 1.2020.000 Exception on !pragma

0 votes
asked Jun 25 in Bug by Prasada

There is an exception bug when adding an sequence diagram with pragma support in Wiki page.

The same works in Online Website.

Code:

@startuml

title Connections Request Response
!pragma teoz true
group 1st Connection request
{start} ACS <-> CPE : HTTP GET/POST

ACS <-> CPE : HTTP 200 OK
end
group 2nd Connection request
ACS <-> CPE : HTTP GET/POST

ACS <-> CPE : HTTP 200 OK
end
group 3rd Connection request
{end} ACS <-> CPE : HTTP GET/POST

ACS <- CPE : HTTP 503 service-unavailable
end
{start} <-> {end} : 10 seconds Interval
@enduml

1 Answer

0 votes
answered Jun 25 by plantuml (226,380 points)
Which wiki pages are you talking about ?
commented Jun 25 by anonymous
The wiki project is related to Liberty Global (https://wikiprojects.upc.biz).
commented Jun 25 by Prasada
Any updates on this issue for resolution?
commented Jun 25 by plantuml (226,380 points)

Well, since we don't have access to this wiki, we are doing blind debug here :-)

However, since your example is working on the online server , I would say that your PlantUML version is not up to date.

You can check it using :

@startuml
version
@enduml

Then tell us the result.

Thanks !

commented Jun 25 by Prasada
This is the PlantUML plugin for Atlassian Confluence. Please note that you have to install some additional software (GraphViz) so that this plugin can work.

PlantUML version 1.2020.00 (Sat Jan 11 13:30:53 CET 2020)

(GPL source distribution)

The environment variable GRAPHVIZ_DOT has not been set

Dot executable is /usr/bin/dot/

Dot version: dot – graphviz version 2.26.0 (2009 12 10.2329)

Installation seems OK. File generation OK

Java Runtime: Java™ SE Runtime Envronment

JVM: Java HotSport™ 64-Bit Server VM

Java Version: 1.8.0_181_b13

Operating System: Linux

Default Encoding: ANSI_X3.4-1968

Language: en

Country: US

Machine: viepiswpe10

PLANTUML_LIMIT_SIZE: 4096

Processors: 16
commented Jun 25 by plantuml (226,380 points)
This PlantUML version is almost 6 months old, so you should upgrade to last version (it fixes this issue).
commented Jun 25 by Prasada
Thanks for your suggestion, I will convey this message to our admin.
...